## com.baidubce.services.media.model
Class CreateJobRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.media.model.CreateJobRequest

    public class CreateJobRequest

extends AbstractBceRequest

Constructor Summary
`CreateJobRequest()`

Method Summary
`String` `getPipelineName()` 任务所属的pipelineName
`Source` `getSource()` 输入的原始信息的集合
`Target` `getTarget()` 输出信息的结合
`void` `setPipelineName(String pipelineName)`
`void` `setSource(Source source)`
`void` `setTarget(Target target)`
`String` `toString()`
`CreateJobRequest` `withPipelineName(String pipelineName)`
`CreateJobRequest` `withRequestCredentials(BceCredentials credentials)`
`CreateJobRequest` `withSource(Source source)`
`CreateJobRequest` `withTarget(Target target)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateJobRequest

    public CreateJobRequest()

Method Detail

### getPipelineName

    public String getPipelineName()

  任务所属的pipelineName

### setPipelineName

    public void setPipelineName(String pipelineName)

### withPipelineName

    public CreateJobRequest withPipelineName(String pipelineName)

### getSource

    public Source getSource()

  输入的原始信息的集合

### setSource

    public void setSource(Source source)

### withSource

    public CreateJobRequest withSource(Source source)

### getTarget

    public Target getTarget()

  输出信息的结合

### setTarget

    public void setTarget(Target target)

### withTarget

    public CreateJobRequest withTarget(Target target)

### withRequestCredentials

    public CreateJobRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.